package testen;

import java.util.HashMap;
import java.util.Map;

import domein.Account;
import domein.IAccountManager;

public class MockAccountManager implements IAccountManager
{
	private Map<String, Account> accounts = new HashMap<>();
	
	public void addAccount(String accountId, Account account)
	{
		accounts.put(accountId, account);
	}

	@Override
	public Account findAccountForUser(String accountId) 
	{
		return accounts.get(accountId);
	}

	@Override
	public void updateAccount(Account account) 
	{
		//do nothing
	}
}
